org.richfaces.component.html

## Class HtmlEditor

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - javax.faces.component.UIInput
        - - org.richfaces.component.UIEditor
          - - org.richfaces.component.html.HtmlEditor

- All Implemented Interfaces:
    javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

      public class HtmlEditor
      extends UIEditor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.UIEditor

      `EDITOR_TEXT_AREA_ID_SUFFIX`

    - ### Fields inherited from class javax.faces.component.UIInput

      `CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlEditor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getConfiguration()`
    `java.lang.String` | `getCustomPlugins()`
    `java.lang.String` | `getDialogType()`
    `java.lang.String` | `getFamily()`
    `java.lang.Integer` | `getHeight()`
    `java.lang.String` | `getLabel()`
    `java.lang.String` | `getLanguage()`
    `java.lang.String` | `getOnchange()`
    `java.lang.String` | `getOninit()`
    `java.lang.String` | `getOnsave()`
    `java.lang.String` | `getOnsetup()`
    `java.lang.String` | `getPlugins()`
    `java.lang.String` | `getSkin()`
    `java.lang.String` | `getStyle()`
    `java.lang.String` | `getStyleClass()`
    `java.lang.String` | `getTabindex()`
    `java.lang.String` | `getTheme()`
    `java.lang.String` | `getType()`
    `java.lang.String` | `getViewMode()`
    `java.lang.Integer` | `getWidth()`
    `boolean` | `isAutoResize()`
    `boolean` | `isReadonly()`
    `boolean` | `isUseSeamText()`
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
    `void` | `setAutoResize(boolean _autoResize)`
    `void` | `setConfiguration(java.lang.String _configuration)`
    `void` | `setCustomPlugins(java.lang.String _customPlugins)`
    `void` | `setDialogType(java.lang.String _dialogType)`
    `void` | `setHeight(java.lang.Integer _height)`
    `void` | `setLabel(java.lang.String _label)`
    `void` | `setLanguage(java.lang.String _language)`
    `void` | `setOnchange(java.lang.String _onchange)`
    `void` | `setOninit(java.lang.String _oninit)`
    `void` | `setOnsave(java.lang.String _onsave)`
    `void` | `setOnsetup(java.lang.String _onsetup)`
    `void` | `setPlugins(java.lang.String _plugins)`
    `void` | `setReadonly(boolean _readonly)`
    `void` | `setSkin(java.lang.String _skin)`
    `void` | `setStyle(java.lang.String _style)`
    `void` | `setStyleClass(java.lang.String _styleClass)`
    `void` | `setTabindex(java.lang.String _tabindex)`
    `void` | `setTheme(java.lang.String _theme)`
    `void` | `setType(java.lang.String _type)`
    `void` | `setUseSeamText(boolean _useSeamText)`
    `void` | `setViewMode(java.lang.String _viewMode)`
    `void` | `setWidth(java.lang.Integer _width)`

    - ### Methods inherited from class org.richfaces.component.UIEditor

      `getConverter, getRendersChildren`

    - ### Methods inherited from class javax.faces.component.UIInput

      `addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `getLocalValue, getValue, setConverter`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.ValueHolder

      `getLocalValue, getValue, setConverter`

- - ### Field Detail

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlEditor

          public HtmlEditor()

  - ### Method Detail

    - #### isAutoResize

          public boolean isAutoResize()

      Specified by:
        `isAutoResize` in class `UIEditor`

    - #### setAutoResize

          public void setAutoResize(boolean _autoResize)

      Specified by:
        `setAutoResize` in class `UIEditor`

    - #### getConfiguration

          public java.lang.String getConfiguration()

      Specified by:
        `getConfiguration` in class `UIEditor`

    - #### setConfiguration

          public void setConfiguration(java.lang.String _configuration)

      Specified by:
        `setConfiguration` in class `UIEditor`

    - #### getCustomPlugins

          public java.lang.String getCustomPlugins()

      Specified by:
        `getCustomPlugins` in class `UIEditor`

    - #### setCustomPlugins

          public void setCustomPlugins(java.lang.String _customPlugins)

      Specified by:
        `setCustomPlugins` in class `UIEditor`

    - #### getDialogType

          public java.lang.String getDialogType()

      Specified by:
        `getDialogType` in class `UIEditor`

    - #### setDialogType

          public void setDialogType(java.lang.String _dialogType)

      Specified by:
        `setDialogType` in class `UIEditor`

    - #### getHeight

          public java.lang.Integer getHeight()

      Specified by:
        `getHeight` in class `UIEditor`

    - #### setHeight

          public void setHeight(java.lang.Integer _height)

      Specified by:
        `setHeight` in class `UIEditor`

    - #### getLabel

          public java.lang.String getLabel()

    - #### setLabel

          public void setLabel(java.lang.String _label)

    - #### getLanguage

          public java.lang.String getLanguage()

      Specified by:
        `getLanguage` in class `UIEditor`

    - #### setLanguage

          public void setLanguage(java.lang.String _language)

      Specified by:
        `setLanguage` in class `UIEditor`

    - #### getOnchange

          public java.lang.String getOnchange()

      Specified by:
        `getOnchange` in class `UIEditor`

    - #### setOnchange

          public void setOnchange(java.lang.String _onchange)

      Specified by:
        `setOnchange` in class `UIEditor`

    - #### getOninit

          public java.lang.String getOninit()

      Specified by:
        `getOninit` in class `UIEditor`

    - #### setOninit

          public void setOninit(java.lang.String _oninit)

      Specified by:
        `setOninit` in class `UIEditor`

    - #### getOnsave

          public java.lang.String getOnsave()

      Specified by:
        `getOnsave` in class `UIEditor`

    - #### setOnsave

          public void setOnsave(java.lang.String _onsave)

      Specified by:
        `setOnsave` in class `UIEditor`

    - #### getOnsetup

          public java.lang.String getOnsetup()

      Specified by:
        `getOnsetup` in class `UIEditor`

    - #### setOnsetup

          public void setOnsetup(java.lang.String _onsetup)

      Specified by:
        `setOnsetup` in class `UIEditor`

    - #### getPlugins

          public java.lang.String getPlugins()

      Specified by:
        `getPlugins` in class `UIEditor`

    - #### setPlugins

          public void setPlugins(java.lang.String _plugins)

      Specified by:
        `setPlugins` in class `UIEditor`

    - #### isReadonly

          public boolean isReadonly()

      Specified by:
        `isReadonly` in class `UIEditor`

    - #### setReadonly

          public void setReadonly(boolean _readonly)

      Specified by:
        `setReadonly` in class `UIEditor`

    - #### getSkin

          public java.lang.String getSkin()

      Specified by:
        `getSkin` in class `UIEditor`

    - #### setSkin

          public void setSkin(java.lang.String _skin)

      Specified by:
        `setSkin` in class `UIEditor`

    - #### getStyle

          public java.lang.String getStyle()

    - #### setStyle

          public void setStyle(java.lang.String _style)

    - #### getStyleClass

          public java.lang.String getStyleClass()

    - #### setStyleClass

          public void setStyleClass(java.lang.String _styleClass)

    - #### getTabindex

          public java.lang.String getTabindex()

      Specified by:
        `getTabindex` in class `UIEditor`

    - #### setTabindex

          public void setTabindex(java.lang.String _tabindex)

      Specified by:
        `setTabindex` in class `UIEditor`

    - #### getTheme

          public java.lang.String getTheme()

      Specified by:
        `getTheme` in class `UIEditor`

    - #### setTheme

          public void setTheme(java.lang.String _theme)

      Specified by:
        `setTheme` in class `UIEditor`

    - #### getType

          public java.lang.String getType()

      Specified by:
        `getType` in class `UIEditor`

    - #### setType

          public void setType(java.lang.String _type)

      Specified by:
        `setType` in class `UIEditor`

    - #### isUseSeamText

          public boolean isUseSeamText()

      Specified by:
        `isUseSeamText` in class `UIEditor`

    - #### setUseSeamText

          public void setUseSeamText(boolean _useSeamText)

      Specified by:
        `setUseSeamText` in class `UIEditor`

    - #### getViewMode

          public java.lang.String getViewMode()

      Specified by:
        `getViewMode` in class `UIEditor`

    - #### setViewMode

          public void setViewMode(java.lang.String _viewMode)

      Specified by:
        `setViewMode` in class `UIEditor`

    - #### getWidth

          public java.lang.Integer getWidth()

      Specified by:
        `getWidth` in class `UIEditor`

    - #### setWidth

          public void setWidth(java.lang.Integer _width)

      Specified by:
        `setWidth` in class `UIEditor`

    - #### getFamily

          public java.lang.String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIInput`

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `javax.faces.component.UIInput`

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                          java.lang.Object state)

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `javax.faces.component.UIInput`

Copyright © 2013. All Rights Reserved.